Debian Bug report logs - #598298
mn-fit: CVE-2010-3366: insecure library loading

version graph

Package: mn-fit; Maintainer for mn-fit is (unknown);

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:24:53 UTC

Severity: grave

Tags: patch, security

Found in versions mn-fit/5.13-7, mn-fit/5.13-6

Fixed in version 5.13-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#598298; Package mn-fit. (Tue, 28 Sep 2010 04:24:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 28 Sep 2010 04:24:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: mn-fit: CVE-2010-3366: insecure library loading
Date: Tue, 28 Sep 2010 04:22:26 +0000
Package: mn-fit
Version: 5.13-7
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/mn_fit line 146:
    LD_LIBRARY_PATH=$ROOTSYS/lib:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3366. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3366
[1] http://security-tracker.debian.org/tracker/CVE-2010-3366

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#598298; Package mn-fit. (Wed, 13 Oct 2010 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 13 Oct 2010 08:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 598298@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598298@bugs.debian.org
Subject: Patch for CVE-2010-3366
Date: Wed, 13 Oct 2010 10:29:51 +0200
[Message part 1 (text/plain, inline)]
Hello,

Here is a patch that fixes this issue.

Regards,

-- 
Etienne Millon
[mn-fit-cve-2010-3366.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Wed, 13 Oct 2010 08:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#598298; Package mn-fit. (Mon, 18 Oct 2010 10:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 18 Oct 2010 10:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 598298@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598298@bugs.debian.org
Subject: uploaded to mentors.d.n
Date: Mon, 18 Oct 2010 12:35:22 +0200
[Message part 1 (text/plain, inline)]
tags 598298 + pending
thanks

I have prepared a QA upload for this package, it is hosted on
mentors.d.n :

http://mentors.debian.net/debian/pool/main/m/mn-fit/mn-fit_5.13-8.dsc

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 18 Oct 2010 10:39:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mn-fit/5.13-6. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:45:06 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 20 Feb 2011 01:24:42 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Sun, 20 Feb 2011 01:24:42 GMT) Full text and rfc822 format available.

Message #26 received at 598298-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 553811-done@bugs.debian.org,598298-done@bugs.debian.org,
Cc: mn-fit@packages.debian.org, mn-fit@packages.qa.debian.org
Subject: Bug#508501: Removed package(s) from unstable
Date: Sun, 20 Feb 2011 01:21:47 +0000
Version: 5.13-7+rm

Dear submitter,

as the package mn-fit has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/508501

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:51:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:53:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.